#include "../JuceLibraryCode/JuceHeader.h"
#include "MidiPlayerEngine.h"
#include "TinyDisplay.cpp"

class BrusselsMidiPlayer : public JUCEApplication {
public:
    void initialise(const String& p) {
        TinyDisplay k;
        k.setBounds(0, 0, 500, 90);
        DialogWindow::showModalDialog(L"Brussels Midi Player", &k, 0,
                                      Colours::silver, false);
        systemRequestedQuit();
    }

    void shutdown() {
    }

    void systemRequestedQuit() {
            quit();
    }

    const String getApplicationName() {
        return String(L"Brussels Midi Player");
    }
    
    const String getApplicationVersion()
    {
        return ProjectInfo::versionString;
    }
};

START_JUCE_APPLICATION(BrusselsMidiPlayer)
